Bug 60137 - NFS oops
NFS oops
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-20 14:23 EST by Phil Copeland
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-20 14:23:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Phil Copeland 2002-02-20 14:23:01 EST
Description of Problem:
On a dual processor box using the current stock errata kernel (2.4.9-21smp #1
SMP)
NFS serving oops

Unable to handle kernel NULL pointer dereference at virtual address 00000008
 printing eip:
d09ab3e0
*pde = 00000000
Oops: 0000
CPU:    0
EIP:    0010:[<d09ab3e0>]    Not tainted
EFLAGS: 00010217
EIP is at __insmod_nfsd_S.text_L52160 [nfsd] 0x2380 
eax: 00000000   ebx: 00000000   ecx: 00000005   edx: 00000003
esi: cc93e014   edi: 00000000   ebp: c965d8a0   esp: c9503e10
ds: 0018   es: 0018   ss: 0018
Process nfsd (pid: 1726, stackpage=c9503000)
Stack: 00000018 00000005 ca001c00 cc93e004 c9a8a000 d09ab80a ce396c00 cc93e014 
       00000005 00000003 00000001 c9c97580 cc93e014 11270000 cc93e004 00000000 
       00000000 00000000 c9503ec8 c9503ec8 00000000 c9504080 cc93e004 d09acbf7 
Call Trace: [<d09ab80a>] __insmod_nfsd_S.text_L52160 [nfsd] 0x27aa 
[<d09acbf7>] __insmod_nfsd_S.text_L52160 [nfsd] 0x3b97 
[<d09acf2e>] __insmod_nfsd_S.text_L52160 [nfsd] 0x3ece 
[<d09b220b>] __insmod_nfsd_S.text_L52160 [nfsd] 0x91ab 
[<d09ba180>] __insmod_nfsd_S.data_L2208 [nfsd] 0x660 
[<d09ba180>] __insmod_nfsd_S.data_L2208 [nfsd] 0x660 
[<d09a95b1>] __insmod_nfsd_S.text_L52160 [nfsd] 0x551 
[<d098dd99>] svc_process_Rsmp_10aa2f73 [sunrpc] 0x349 
[<d09b9b38>] __insmod_nfsd_S.data_L2208 [nfsd] 0x18 
[<d09b9b58>] __insmod_nfsd_S.data_L2208 [nfsd] 0x38 
[<d09a939b>] __insmod_nfsd_S.text_L52160 [nfsd] 0x33b 
[<d09b9b20>] __insmod_nfsd_S.rodata_L48 [nfsd] 0x3ce0 
[<c0105866>] kernel_thread [kernel] 0x26 
[<d09a9190>] __insmod_nfsd_S.text_L52160 [nfsd] 0x130 


Code: 8b 47 08 bb 8c ff ff ff 85 c0 0f 84 9a 01 00 00 0f b7 40 2a 



After ksymoops....

Reading Oops report from the terminal
Unable to handle kernel NULL pointer dereference at virtual address 00000008
d09ab3e0
*pde = 00000000
Oops: 0000
CPU:    0
EIP:    0010:[<d09ab3e0>]    Not tainted
Using defaults from ksymoops -t elf32-i386 -a i386
EFLAGS: 00010217
eax: 00000000   ebx: 00000000   ecx: 00000005   edx: 00000003
esi: cc93e014   edi: 00000000   ebp: c965d8a0   esp: c9503e10
ds: 0018   es: 0018   ss: 0018
Process nfsd (pid: 1726, stackpage=c9503000)
Stack: 00000018 00000005 ca001c00 cc93e004 c9a8a000 d09ab80a ce396c00 cc93e014 
       00000005 00000003 00000001 c9c97580 cc93e014 11270000 cc93e004 00000000 
       00000000 00000000 c9503ec8 c9503ec8 00000000 c9504080 cc93e004 d09acbf7 
Call Trace: [<d09ab80a>] __insmod_nfsd_S.text_L52160 [nfsd] 0x27aa 
[<d09acbf7>] __insmod_nfsd_S.text_L52160 [nfsd] 0x3b97 
[<d09acf2e>] __insmod_nfsd_S.text_L52160 [nfsd] 0x3ece 
[<d09b220b>] __insmod_nfsd_S.text_L52160 [nfsd] 0x91ab 
[<d09ba180>] __insmod_nfsd_S.data_L2208 [nfsd] 0x660 
[<d09ba180>] __insmod_nfsd_S.data_L2208 [nfsd] 0x660 
[<d09a95b1>] __insmod_nfsd_S.text_L52160 [nfsd] 0x551 
[<d098dd99>] svc_process_Rsmp_10aa2f73 [sunrpc] 0x349 
[<d09b9b38>] __insmod_nfsd_S.data_L2208 [nfsd] 0x18 
[<d09b9b58>] __insmod_nfsd_S.data_L2208 [nfsd] 0x38 
[<d09a939b>] __insmod_nfsd_S.text_L52160 [nfsd] 0x33b 
[<d09b9b20>] __insmod_nfsd_S.rodata_L48 [nfsd] 0x3ce0 
[<c0105866>] kernel_thread [kernel] 0x26 
[<d09a9190>] __insmod_nfsd_S.text_L52160 [nfsd] 0x130 
Code: 8b 47 08 bb 8c ff ff ff 85 c0 0f 84 9a 01 00 00 0f b7 40 2a 

>>EIP; d09ab3e0 <[nfsd]find_fh_dentry+160/350>   <=====
Trace; d09ab80a <[nfsd]fh_verify+23a/450>
Trace; d09acbf7 <[nfsd]nfsd_open+27/240>
Trace; d09acf2e <[nfsd]nfsd_read+3e/250>
Trace; d09b220b <[nfsd]nfsd3_proc_read+10b/170>
Trace; d09ba180 <[nfsd]nfsd_procedures3+c0/2c0>
Trace; d09ba180 <[nfsd]nfsd_procedures3+c0/2c0>
Trace; d09a95b1 <[nfsd]nfsd_dispatch+c1/190>
Trace; d098dd99 <[sunrpc]svc_process+349/510>
Trace; d09b9b38 <[nfsd]nfsd_version3+0/10>
Trace; d09b9b58 <[nfsd]nfsd_program+0/18>
Trace; d09a939b <[nfsd]nfsd+20b/360>
Trace; d09b9b20 <[nfsd]nfsd_list+0/0>
Trace; c0105866 <kernel_thread+26/30>
Trace; d09a9190 <[nfsd]nfsd+0/360>
Code;  d09ab3e0 <[nfsd]find_fh_dentry+160/350>
00000000 <_EIP>:
Code;  d09ab3e0 <[nfsd]find_fh_dentry+160/350>   <=====
   0:   8b 47 08                  mov    0x8(%edi),%eax   <=====
Code;  d09ab3e3 <[nfsd]find_fh_dentry+163/350>
   3:   bb 8c ff ff ff            mov    $0xffffff8c,%ebx
Code;  d09ab3e8 <[nfsd]find_fh_dentry+168/350>
   8:   85 c0                     test   %eax,%eax
Code;  d09ab3ea <[nfsd]find_fh_dentry+16a/350>
   a:   0f 84 9a 01 00 00         je     1aa <_EIP+0x1aa> d09ab58a
<[nfsd]find_fh_dentry+30a/350>
Code;  d09ab3f0 <[nfsd]find_fh_dentry+170/350>
  10:   0f b7 40 2a               movzwl 0x2a(%eax),%eax


26 warnings and 2 errors issued.  Results may not be reliable.


Steps to Reproduce:
1. setup box to nfs export a dos partition
2. mount from another box
3. wait a while (perhaps 15 minutes) while the mount is accessed and read from
(NO WRITES)
Comment 1 Arjan van de Ven 2002-02-28 04:56:41 EST
 setup box to nfs export a dos partition -> please disable the automatic case
conversion. NFS really hates that
Comment 2 Phil Copeland 2002-02-28 06:48:03 EST
*nod*
I did find the FAQ's say that it's 'not recommended' to run dos FS's via NFS but
thety don't broach the subject of why or what you might encounter.


Note You need to log in before you can comment on or make changes to this bug.